<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<!-- Theme by Serifly (http://serifly.com) / Powered by Wordpress (http://wordpress.org) -->
	<head>
		<!-- Title -->
		<title><?php wp_title('/', true, 'right'); ?><?php bloginfo('name'); ?></title>
		<!-- Meta Tags -->
		<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
		<!-- Favicon -->
		<?php if (serifly_option('general_favicon_url')): ?>
		<link rel="shortcut icon" href="<?php echo serifly_option('general_favicon_url'); ?>" />
		<?php else: ?>
		<link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/favicon.ico" />
		<?php endif; ?>
		<!-- RSS -->
		<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php if (serifly_option('general_custom_feed')) { echo serifly_option('general_custom_feed'); } else { bloginfo('rss2_url'); } ?>" />
		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
		<?php
			if (is_singular())
			{
				wp_enqueue_script('comment-reply');	
			}
			
			wp_head();
		?>
		<!-- Color Sets -->
		<?php if (serifly_option('styling_color_set') && serifly_option('styling_color_set') == 'blue'): ?>
		<link href="<?php echo get_template_directory_uri(); ?>/themes/blueHeader/css/custom.css" rel="stylesheet" type="text/css" />
		<?php endif; ?>
		<?php if (serifly_option('styling_color_set') && serifly_option('styling_color_set') == 'red'): ?>
		<link href="<?php echo get_template_directory_uri(); ?>/themes/redHeader/css/custom.css" rel="stylesheet" type="text/css" />
		<?php endif; ?>
		<?php if (serifly_option('styling_color_set') && serifly_option('styling_color_set') == 'green'): ?>
		<link href="<?php echo get_template_directory_uri(); ?>/themes/greenHeader/css/custom.css" rel="stylesheet" type="text/css" />
		<?php endif; ?>
		<?php serifly_custom_theme(); ?>
	</head>
	<body <?php body_class(); ?>>
		<!-- Site Wrapper Start -->
		<div class="siteWrapper">
			<!-- Site Header -->
			<div class="siteHeaderShadow">
			</div>
			<div class="siteHeader">
				<div class="center">
					<a class="logo"<?php if (serifly_option('general_image_logo_url')) echo ' style="background-image: url(' . serifly_option('general_image_logo_url') . ');"'; ?> href="<?php echo home_url(); ?>"></a>
					<?php
						wp_nav_menu
						(
							array
							(
								'menu_class' => 'navigation',
								'theme_location' => 'primary-menu', 
								'container' => '',
								'depth' => 3
							)
						); 
					?>
				</div>
			</div>
			<?php if (!is_page_template('template-home.php')): ?>
			<!-- Content Header -->
			<div class="contentHeader">
				<div class="center">
					<?php
					
						if (is_single())
						{
							$contentHeaderTitle = get_the_title(get_option('page_for_posts', true));
						}
						else
						{
							$contentHeaderTitle = wp_title('', false);	
						}
					
						if (strlen($contentHeaderTitle) > 40)
						{
							$contentHeaderTitle = substr($contentHeaderTitle, 0, 40) . '...';
						}
					?>
					<h1><?php echo bold_first($contentHeaderTitle); ?></h1>
					<ul>
						<?php if (serifly_option('support_phone_label') && serifly_option('support_phone_link')): ?>
						<li><a class="iconSmallPhone" href="<?php echo serifly_option('support_phone_link'); ?>"><?php echo bold_first(serifly_option('support_phone_label')); ?></a></li>
						<?php endif; ?>
						<?php if (serifly_option('support_chat_label') && serifly_option('support_chat_link')): ?>
						<li><a class="iconSmallChat" href="<?php echo serifly_option('support_chat_link'); ?>"><?php echo bold_first(serifly_option('support_chat_label')); ?></a></li>
						<?php endif; ?>
						<?php if (serifly_option('support_email_label') && serifly_option('support_email_link')): ?>
						<li><a class="iconSmallEmail" href="<?php echo serifly_option('support_email_link'); ?>"><?php echo bold_first(serifly_option('support_email_label')); ?></a></li>
						<?php endif; ?>
						<?php if (serifly_option('support_client_label') && serifly_option('support_client_link')): ?>
						<li><a class="iconSmallClient" href="<?php echo serifly_option('support_client_link'); ?>"><?php echo bold_first(serifly_option('support_client_label')); ?></a></li>
						<?php endif; ?>
					</ul>
				</div>
			</div>
			<?php else: ?>
			<!-- Content Slider -->
			<div class="contentSlider">
				<div class="center">
					<?php $slideCount = 4; for ($i = 1; $i <= $slideCount; $i++): ?>
					<?php if (serifly_option('slider_slide_' . $i)): ?>
					<div class="slide clearfix">
						<div class="slideSwitchLabel">
							<?php echo bold_first(serifly_option('slider_slide_' . $i . '_title')); ?>
						</div>
						<div class="information">
							<h1><?php echo bold_first(serifly_option('slider_slide_' . $i . '_title')); ?></h1>
							<p><?php echo serifly_option('slider_slide_' . $i . '_subtitle'); ?></p>
							<ul class="clearfix">
								<li><?php echo serifly_option('slider_slide_' . $i . '_list_1'); ?></li>
								<li><?php echo serifly_option('slider_slide_' . $i . '_list_2'); ?></li>
								<li><?php echo serifly_option('slider_slide_' . $i . '_list_3'); ?></li>
								<li><?php echo serifly_option('slider_slide_' . $i . '_list_4'); ?></li>
							</ul>
							<?php if (serifly_option('slider_slide_' . $i . '_price_value') && serifly_option('slider_slide_' . $i . '_button_link') && serifly_option('slider_slide_' . $i . '_button_text')): ?>
							<div class="box clearfix">
								<div class="label">
									<?php
										if (serifly_option('slider_slide_' . $i . '_price_label') && strpos(trim(serifly_option('slider_slide_' . $i . '_price_label')), ' ') !== false)
										{
											echo str_replace(' ', '<br />', trim(serifly_option('slider_slide_' . $i . '_price_label')));
										}
										else
										{
											echo trim(serifly_option('slider_slide_' . $i . '_price_label'));
										}
									?>
								</div>
								<div class="price">
									<?php echo serifly_option('slider_slide_' . $i . '_price_value'); ?>
								</div>
								<?php if (serifly_option('slider_slide_' . $i . '_button_link') && serifly_option('slider_slide_' . $i . '_button_text')): ?>
								<a class="colorButton" href="<?php echo serifly_option('slider_slide_' . $i . '_button_link'); ?>"><span class="pointer"><?php echo bold_first(serifly_option('slider_slide_' . $i . '_button_text')); ?></span></a>
								<?php endif; ?>
							</div>
							<?php endif; ?>
						</div>
						<img src="<?php echo serifly_option('slider_slide_' . $i); ?>" alt="<?php echo serifly_option('slider_slide_' . $i); ?>" />
					</div>
					<?php endif; ?>
					<?php endfor; ?>
				</div>
			</div>
			<?php endif; ?>
			<!-- Content Wrapper -->
			<div class="contentWrapper">
				<div class="outerShadow">
				</div>
				<div class="innerShadow">
				</div>
				<div class="center clearfix">
					<!-- Additional clearfix necessary for non floated objects -->
					<div class="clearfix">
					</div>
					<!-- Content Starts -->